/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package clientvoitureapp;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.util.Scanner;

/**
 *
 * @author ppisz
 */
public class ClientVoitureApp {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        Socket clientSocket;
        try {
            clientSocket = new Socket("127.0.0.1", 8000);
            PrintWriter out = new PrintWriter(clientSocket.getOutputStream(), true);
            BufferedReader in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));
            String commande = "";
            String reponse = "";
            Scanner sc = new Scanner(System.in);
            do {
                afficheMenu();
                commande = sc.next();
                switch (commande) {
                    case "D":
                        out.println("D");
                        reponse = in.readLine();
                        if (reponse.equals("DOK")) {
                            System.out.println("Moteur démarré");
                        }
                        else {
                            System.out.println("Moteur déjà démarré");
                        }
                        break;
                    case "A":
                        out.println("A");
                        reponse = in.readLine();
                        if (reponse.equals("A-1")) {
                            System.out.println("Vitesse limite atteinte");
                        }
                        else if (reponse.equals("A-2")) {
                            System.out.println("Il faut d'abord démarrer");
                        }
                        else {
                            String vitesse = reponse.substring(1);
                            System.out.println("Vitesse = " + vitesse + " km/h");
                        }
                        break;
                    case "R":
                        out.println("R");
                        reponse = in.readLine();
                        if (reponse.equals("R-1")) {
                            System.out.println("Vitesse nulle, on ne peut plus ralentir");
                        }
                        else if (reponse.equals("R-2")) {
                            System.out.println("Il faut d'abord démarrer");
                        }
                        else {
                            String vitesse = reponse.substring(1);
                            System.out.println("Vitesse = " + vitesse + " km/h");
                        }
                        break;
                    case "S":
                        out.println("S");
                        reponse = in.readLine();
                        if (reponse.equals("SOK")) {
                            System.out.println("Moteur arrêté");
                        }
                        else {
                            System.out.println("Vitesse non nulle");
                        }
                        break;
                    default:
                        System.out.println("Commande inconnue");
                }
            } while (!commande.equals("Q"));

        } catch (IOException e) {
            System.out.println("Erreur : " + e.getMessage());
        }
    }

    public static void afficheMenu() {
        System.out.println("D : Démarrer");
        System.out.println("A : Accélérer");
        System.out.println("R : Ralentir");
        System.out.println("S : Arrêter");
        System.out.println("Q : Quitter");
        System.out.print("Votre choix : ");
    }
}
